%define		pkg	block-stream
Summary:	A stream of blocks
Name:		nodejs-%{pkg}
Version:	0.0.7
Release:	1
License:	MIT
Group:		Development/Libraries
Source0:	http://registry.npmjs.org/%{pkg}/-/%{pkg}-%{version}.tgz
# Source0-md5:	c66aaa2227abec6daa6ff8a155b59294
URL:		https://github.com/isaacs/block-stream
BuildRequires:	rpmbuild(macros) >= 1.634
Requires:	nodejs >= 0.5.8
Requires:	nodejs-inherits < 3.0.0
Requires:	nodejs-inherits >= 2.0.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A stream of blocks. Write data into it, and it'll output data in
buffer blocks the size you specify, padding with zeroes if necessary.

%prep
%setup -qc
mv package/* .

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}
cp -pr %{pkg}.js package.json $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%{nodejs_libdir}/%{pkg}
%changelog
* Wed Mar 12 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nodejs-block-stream.git;a=log;h=master

* Tue Mar 11 2014 Elan Ruusamäe <glen@delfi.ee> 074bd43
- URL after Sources

* Tue Mar 04 2014 Łukasz Kieś <kiesiu@pld-linux.org> a02428f
- adapterize

* Tue Mar 04 2014 Łukasz Kieś <kiesiu@pld-linux.org> f1da43d
- updated to 0.0.7
- better description

* Sat Feb 16 2013 Aria <aredridel@nbtsc.org> df4d7f6
- v0.0.6

* Thu Jun 14 2012 Elan Ruusamäe <glen@pld-linux.org> 1b30126
- up to 0.0.5

* Wed Jan 25 2012 Elan Ruusamäe <glen@pld-linux.org> 0fde471
- initial node pkgs for npm deps
  based on specs from http://nodejs.tchol.org/ repo

